← Atlas API & Provisioning Reference

Chapter 21 of 35

Number Management

Toggling MMS on an existing number

MMS is available for any and all sms enabled numbers, as long as the account allows it, it can be toggled at anytime.

Toggling MMS can be done via the Numbers update route:

Structure

PATCH /api/v1/numbers/:number

Accept: application/json
Content-Type: application/json
Authorization: Bearer API_KEY_HTTP_KEY
{
  "type": "number",
  "data": {
    "mms_enabled": boolean
  }
}

Example 1

To enable MMS on an existing number:

PATCH /api/v1/numbers/12003004000

Accept: application/json
Content-Type: application/json
Authorization: Bearer API_KEY_HTTP_KEY
{
  "type": "number",
  "data": {
    "mms_enabled": true
  }
}

Example 2

To disable MMS on an existing number:

PATCH /api/v1/numbers/12003004000

Accept: application/json
Content-Type: application/json
Authorization: Bearer API_KEY_HTTP_KEY
{
  "type": "number",
  "data": {
    "mms_enabled": false
  }
}

Updated 2026-08-12 · Reconciled with OpenAPI 2026.8.25-p01 on 2026-09-05 · A newer definition (seen 2026-09-09) is under review and not yet reflected here · View this chapter as Markdown (for AI assistants)